/**
 * frisby.js: Main Frisby test package
 * (C) 2011, Vance Lucas
 */
var frisby = require('../lib/frisby');


// TESTS
// ====================================================
var URL = 'http://api.yv.local';
var URL_AUTH = 'http://raydavis:password@api.yv.local';

frisby.toss('GET bookmark data')
  .globalSetup({
    request: {
      headers: { 'Referer': 'http://curl.youversion.com' }
    }
  })
  .get(URL + '/2.4/bookmarks/view.json?id=3')
  .expectStatus(200)
  .expectHeader('transfer-encoding', 'chunked')
  .expectHeaderContains('content-type', 'text/plain')
  .after(function(err, res, body) {
    frisby.toss('Update labels')
      .post(URL_AUTH + '/2.4/bookmarks/update.json', {id: '3', labels: 'creation,beginning,bible,jesus'})
      .expectStatus(200)
      .after(function(err, res, body) {
        //console.log(res);
      })
    .run();
  })
.run();









